> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yieldo.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Approve Application



## OpenAPI

````yaml https://api.yieldo.xyz/openapi.json post /v1/applications/{address}/{audience}/approve
openapi: 3.1.0
info:
  title: Yieldo API
  description: Cross-chain deposit aggregator for ERC-4626 and custom yield vaults
  version: 1.0.0
servers:
  - url: https://api.yieldo.xyz
    description: Production
security: []
paths:
  /v1/applications/{address}/{audience}/approve:
    post:
      tags:
        - applications
      summary: Approve Application
      operationId: approve_application_v1_applications__address___audience__approve_post
      parameters:
        - name: address
          in: path
          required: true
          schema:
            type: string
            title: Address
        - name: audience
          in: path
          required: true
          schema:
            type: string
            title: Audience
        - name: note
          in: query
          required: false
          schema:
            type: string
            default: ''
            title: Note
        - name: X-Admin-Key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Admin-Key
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````